# IAX2IeAuthMethods Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeAuthMethods:

[legend]
Collaboration diagram for IAX2IeAuthMethods:
[legend]

## Public Member Functions

| IAX2IeAuthMethods (BYTE length, BYTE *srcData)
| IAX2IeAuthMethods (short newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)
PBoolean | IsRsaAuthentication ()
PBoolean | IsMd5Authentication ()
PBoolean | IsPlainTextAuthentication ()

## Static Public Member Functions

static PBoolean | IsRsaAuthentication (short testValue)
static PBoolean | IsMd5Authentication (short testValue)
static PBoolean | IsPlainTextAuthentication (short testValue)

## Static Protected Member Functions

static PBoolean | InternalIsRsa (short testValue)
static PBoolean | InternalIsMd5 (short testValue)
static PBoolean | InternalIsPlainText (short testValue)

## Detailed Description

An Information Element that contains the authentication methods

## Constructor & Destructor Documentation

IAX2IeAuthMethods::IAX2IeAuthMethods | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeAuthMethods::IAX2IeAuthMethods | ( | short | newValue | ) | `[inline]`

Initialise to the supplied short value, which is usually done prior to transmission

## Member Function Documentation

virtual BYTE IAX2IeAuthMethods::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

static PBoolean IAX2IeAuthMethods::InternalIsMd5 | ( | short | testValue | ) | `[inline, static, protected]`

Return true if the supplied value has the MD5 key on

static PBoolean IAX2IeAuthMethods::InternalIsPlainText | ( | short | testValue | ) | `[inline, static, protected]`

Return true if the supplied value has the plain text key on

static PBoolean IAX2IeAuthMethods::InternalIsRsa | ( | short | testValue | ) | `[inline, static, protected]`

Return true if the supplied value has the RSA key on

PBoolean IAX2IeAuthMethods::IsMd5Authentication | ( |  | ) | `[inline]`

Return true if the internal value has the MD5 key on

static PBoolean IAX2IeAuthMethods::IsMd5Authentication | ( | short | testValue | ) | `[inline, static]`

Return true if the supplied value has the MD5 key on

PBoolean IAX2IeAuthMethods::IsPlainTextAuthentication | ( |  | ) | `[inline]`

Return true if the internal value has the plain text key on

static PBoolean IAX2IeAuthMethods::IsPlainTextAuthentication | ( | short | testValue | ) | `[inline, static]`

Return true if the supplied value has the plain text key on

PBoolean IAX2IeAuthMethods::IsRsaAuthentication | ( |  | ) | `[inline]`

Return true if the internal value has the RSA key on

static PBoolean IAX2IeAuthMethods::IsRsaAuthentication | ( | short | testValue | ) | `[inline, static]`

Return true if the supplied value has the RSA key on

virtual void IAX2IeAuthMethods::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeShort.

virtual void IAX2IeAuthMethods::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h